com.google.gwt.cell.client

## Class SafeImageCell

- java.lang.Object
- - com.google.gwt.cell.client.AbstractCell<SafeUri>
  - - com.google.gwt.cell.client.SafeImageCell

- All Implemented Interfaces:
    Cell<SafeUri>

      public class SafeImageCell
      extends AbstractCell<SafeUri>

  An `AbstractCell` used to render an image by using a `SafeUri`.

  If the images being displayed are static or available at compile time, using `ImageResourceCell` will usually be more efficient.

  See Also:
    `ImageCell`, `ImageResourceCell`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static interface` | `SafeImageCell.Template`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.cell.client.Cell

      `Cell.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SafeImageCell()` Construct a new SafeImageCell.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `render(Cell.Context context, SafeUri value, SafeHtmlBuilder sb)` Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

    - ### Methods inherited from class com.google.gwt.cell.client.AbstractCell

      `dependsOnSelection, getConsumedEvents, handlesSelection, isEditing, onBrowserEvent, onEnterKeyDown, resetFocus, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SafeImageCell

          public SafeImageCell()

      Construct a new SafeImageCell.

  - ### Method Detail

    - #### render

          public void render(Cell.Context context,
                             SafeUri value,
                             SafeHtmlBuilder sb)

      Description copied from interface: `Cell`
      Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

      Note: If your cell contains natively focusable elements, such as buttons or input elements, be sure to set the tabIndex to -1 so that they do not steal focus away from the containing widget.

      Specified by:
        `render` in interface `Cell<SafeUri>`
      Specified by:
        `render` in class `AbstractCell<SafeUri>`
      Parameters:
        `context` - the `Cell.Context` of the cell
        `value` - the cell value to be rendered
        `sb` - the `SafeHtmlBuilder` to be written to